<?php
$page_security = 'SA_PROJECT_WORK_DONE';
$path_to_root = "../..";
include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/ui/ui_input.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/projects/includes/ui/employee_project_work_ui.inc"); 
include_once($path_to_root . "/projects/includes/db/employee_project_work_db.inc");
include_once($path_to_root . "/projects/includes/db/employee_projects_db.inc");
include_once($path_to_root . "/projects/includes/db/projects_db.inc"); 
include_once($path_to_root . "/payroll/includes/db/employees_db.inc"); 

$js = '';
$js .= get_js_open_window(900, 500);
$js .= get_js_date_picker();

simple_page_mode(true);

$trans_no = 0;
if (isset($_GET["trans_no"])) {
    $_POST["trans_no"] = $_GET["trans_no"];
}

if (isset($_POST["trans_no"])) {
    $trans_no = $_POST["trans_no"];
}

$employee_project_id = $trans_no;

page(_($help_context = "Employee Project BOQ Item Workdone Details"), true, false, false, $js);

start_form();

    br();
    
    display_employee_project_employee_and_project($employee_project_id);
    
    display_employee_project_details_row($employee_project_id);
    
    view_employee_project_boq_item_work_done_details($employee_project_id);

end_form();

end_page();